package com.softcream.archosx.dicomparser;

import java.io.File;
import java.io.FilenameFilter;

/**
 * ArchOSx™ tool DIKOCM Parser copyright (C) 2020 SoftCream Software, Ltd - All Rights Reserved
 * PixelMed™ Java DICOM Toolkit copyright (C)The toolkit is open source and made freely available for both non-commercial and commercial use, under BSD License terms described here https://www.pixelmed.com/
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by:
 * Robert Smietanka robert@softcream.pl
 **/


class GenericExtensionFilter implements FilenameFilter {

    private String ext;

    public GenericExtensionFilter(String ext) {
        this.ext = ext;
    }

    public boolean accept(File dir, String name) {
        return (name.endsWith(ext) || name.endsWith(".DCM") || name.endsWith("dcm"));
    }
}
