package com.softcream.archosx.dicomparser;
import com.pixelmed.dicom.TagFromName;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.lang.reflect.Field;
import java.util.ArrayList;

/**
 * ArchOSx™ tool DIKOCM Parser copyright (C) 2020 SoftCream Software, Ltd - All Rights Reserved
 * PixelMed™ Java DICOM Toolkit copyright (C)The toolkit is open source and made freely available for both non-commercial and commercial use, under BSD License terms described here https://www.pixelmed.com/
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by:
 * Robert Smietanka robert@softcream.pl
 **/


public class DicomTags {

    private Field[] tags;



    public DicomTags() {
        this.tags = TagFromName.class.getFields();
    }



    public void saveToFile(String fileName)  {
        ArrayList tagnames = new ArrayList<>();


        for (int j = 0; j < tags.length; j++) {

            String tag = tags[j].toString();
            System.out.println("tag: " + tag);
            String tagname = tag.substring(83);
            tagnames.add(tagname);
            System.out.println("tagnames:" + tagnames);
        }

        String FILE_DIRECTORY  = System.getProperty("user.dir");
        File file = new File(FILE_DIRECTORY + File.separator + fileName);
        FileWriter fr1 = null;

        try {
            fr1 = new FileWriter(file, false);
        BufferedWriter br1 = new BufferedWriter(fr1);
            br1.write(tagnames.toString());
            br1.close();
            fr1.close();
        } catch (IOException e) {
            e.printStackTrace();
        }


    }

    public ArrayList <String> getTags() {

        ArrayList tagnames = new ArrayList<>();

        for (int j = 0; j < tags.length; j++) {

            String tag = tags[j].toString();
            String tagname = tag.substring(83);
            tagnames.add(tagname);

        }

        return tagnames;
    }
}





